Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 620690 - app-editors/fb2edit removal request
Summary: app-editors/fb2edit removal request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sergey Popov
URL:
Whiteboard: Pending removal: 2017-07-08
Keywords: PMASKED
Depends on:
Blocks: qtwebkit4-removal
  Show dependency tree
 
Reported: 2017-06-04 06:35 UTC by Michael Palimaka (kensington)
Modified: 2017-07-10 06:03 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Palimaka (kensington) gentoo-dev 2017-06-04 06:35:40 UTC
app-editors/fb2edit depends on dev-qt/qtwebkit:4 which is ancient and will never see any security updates.

Since fb2edit appears to have a dead upstream and no Qt 5 port maybe it's time to start thinking about last riting it.
Comment 1 Sergey Popov gentoo-dev Security 2017-06-08 00:46:46 UTC
Fine by me. CCing treecleaners@
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2017-07-10 06:03:45 UTC
commit b172d8dcf04580b9e1f4d8c66158cc00e14375b0
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: Mon Jul 10 08:00:00 2017
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: Mon Jul 10 08:01:38 2017

    app-editors/fb2edit: Remove last-rited pkg, #620690